<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Demo</title>
    <link rel="stylesheet" href="demo.css">
    <style>
        .my-super-style {
            color: green; 
            background: black;
        }

        h1, h2 {
            background: lightcyan;
            font-family: Calibri, Arial, Montserrat, Helvetica;
        }

        h1:hover {
            background: darkgreen;
        }

        #id1 {
            background: darkviolet;
        }

        form > input {
            border: 10px solid darkblue;
            border-radius: 3px;
        }
    </style>
</head>
<body>
    <h1>Pealkiri1</h1>
    <h1>Pealkiri2</h1>
    <h2>Alampealkiri1</h2>
    <a href="#button2">Mine button2 juurde</a>
    Lorem ipsum dolor, sit amet consectetur adipisicing elit. Quibusdam autem libero voluptatibus suscipit eum quasi quos? Explicabo recusandae animi iure suscipit molestiae soluta earum, perferendis esse est adipisci quam ut.
    Lorem ipsum dolor sit amet consectetur adipisicing elit. Inventore dolor in quibusdam perspiciatis facilis! Odit pariatur impedit ex illum aliquid necessitatibus enim dolore, non aperiam praesentium optio fuga consequuntur libero.
    Lorem ipsum dolor sit amet consectetur adipisicing elit. Quasi assumenda molestias provident amet eligendi, labore soluta laboriosam praesentium in consequuntur vitae temporibus, ipsum, delectus aliquid mollitia esse atque explicabo quae.
    <div class="header">pealkiri</div>
    <div class="my-super-style style2 style3" style="color: green; background: black;">test</div>
    <div class="my-super-style">test 2</div>
    <div id="id1">asdfsadfdsafds</div>
    <button id="button1">Kliki mind!</button>
    <button id="button2">Kliki mind!</button>

    <form>
        <input type="date" name="" id="">
    </form>

    <input type="date" name="" id="">

    <script>

        function teeMidagi() {
            alert('Mind klikiti!')
            document.querySelector('#button1').innerHTML = "Mind klikiti!"
        }

        document.querySelector('#button1').addEventListener('click', teeMidagi)

    </script>
</body>
</html>